Update a List of Page Assignments

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V80 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp"
  }
}

Close
PUT /profiles/{profile_id}/pages/{page_id}/assignments

Path parameters

  • profile_id string Required

    id of the profile

  • page_id number Required

    id of the page

Query parameters

  • fields string

    extra information of each page assignment on the list

  • limit number

    maximum count of the page assignment list

  • offset number

    skip that many page assignment before beginning to return

application/json

Body

  • can_collect boolean
  • can_view boolean
  • user_id number

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • user_id number Required

      the updated user id

PUT /profiles/{profile_id}/pages/{page_id}/assignments
curl \
 --request PUT 'https://api.iformbuilder.com/exzact/api/v80/%5Bservername%5D/profiles/self/pages/{page_id}/assignments' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"can_collect":true,"can_view":true,"user_id":161236}'
Request examples
{
  "can_collect": true,
  "can_view": true,
  "user_id": 161236
}
Response examples (200)
[
  {
    "user_id": 161239
  },
  {
    "user_id": 161242
  }
]